import math
import json

import pymunk


def make_shrub(centre, radial, degrees):
    radial = radial * (degrees / 80.)
    c = centre + radial.rotated_degrees(degrees)
    return [int(round(c.x)), int(round(c.y)), 40]


radial = pymunk.Vec2d(40, 0)
centre = pymunk.Vec2d(512, 400)

obstacles = []
for d in range(10, 810, 45):
    obstacles.append(make_shrub(centre, radial, d))

print json.dumps(obstacles)
